Index: Makefile
===================================================================
--- Makefile	(revision c74995760bbccf4bbea6fdeb2335cb5d20c62489)
+++ Makefile	(revision 6455202899ab4afd733c9cc0b4d78dd392cbb843)
@@ -105,7 +105,7 @@
 	classes/DelphesHepMCReader.h \
 	classes/DelphesPileUpWriter.h \
-	external/ExRootAnalysis/ExRootTreeWriter.h \
+	external/ExRootAnalysis/ExRootProgressBar.h \
 	external/ExRootAnalysis/ExRootTreeBranch.h \
-	external/ExRootAnalysis/ExRootProgressBar.h
+	external/ExRootAnalysis/ExRootTreeWriter.h
 lhco2root$(ExeSuf): \
 	tmp/converters/lhco2root.$(ObjSuf)
@@ -113,11 +113,11 @@
 tmp/converters/lhco2root.$(ObjSuf): \
 	converters/lhco2root.cpp \
+	classes/DelphesClasses.h \
+	classes/DelphesFactory.h \
+	classes/DelphesStream.h \
 	modules/Delphes.h \
-	classes/DelphesStream.h \
-	classes/DelphesClasses.h \
-	classes/DelphesFactory.h \
-	external/ExRootAnalysis/ExRootTreeWriter.h \
+	external/ExRootAnalysis/ExRootProgressBar.h \
 	external/ExRootAnalysis/ExRootTreeBranch.h \
-	external/ExRootAnalysis/ExRootProgressBar.h
+	external/ExRootAnalysis/ExRootTreeWriter.h
 pileup2root$(ExeSuf): \
 	tmp/converters/pileup2root.$(ObjSuf)
@@ -125,11 +125,11 @@
 tmp/converters/pileup2root.$(ObjSuf): \
 	converters/pileup2root.cpp \
+	classes/DelphesClasses.h \
+	classes/DelphesFactory.h \
+	classes/DelphesPileUpReader.h \
 	classes/DelphesStream.h \
-	classes/DelphesClasses.h \
-	classes/DelphesFactory.h \
-	classes/DelphesPileUpReader.h \
-	external/ExRootAnalysis/ExRootTreeWriter.h \
+	external/ExRootAnalysis/ExRootProgressBar.h \
 	external/ExRootAnalysis/ExRootTreeBranch.h \
-	external/ExRootAnalysis/ExRootProgressBar.h
+	external/ExRootAnalysis/ExRootTreeWriter.h
 root2lhco$(ExeSuf): \
 	tmp/converters/root2lhco.$(ObjSuf)
@@ -138,6 +138,6 @@
 	converters/root2lhco.cpp \
 	classes/DelphesClasses.h \
-	external/ExRootAnalysis/ExRootTreeReader.h \
-	external/ExRootAnalysis/ExRootProgressBar.h
+	external/ExRootAnalysis/ExRootProgressBar.h \
+	external/ExRootAnalysis/ExRootTreeReader.h
 root2pileup$(ExeSuf): \
 	tmp/converters/root2pileup.$(ObjSuf)
@@ -147,6 +147,6 @@
 	classes/DelphesClasses.h \
 	classes/DelphesPileUpWriter.h \
-	external/ExRootAnalysis/ExRootTreeReader.h \
-	external/ExRootAnalysis/ExRootProgressBar.h
+	external/ExRootAnalysis/ExRootProgressBar.h \
+	external/ExRootAnalysis/ExRootTreeReader.h
 stdhep2pileup$(ExeSuf): \
 	tmp/converters/stdhep2pileup.$(ObjSuf)
@@ -156,9 +156,9 @@
 	classes/DelphesClasses.h \
 	classes/DelphesFactory.h \
+	classes/DelphesPileUpWriter.h \
 	classes/DelphesSTDHEPReader.h \
-	classes/DelphesPileUpWriter.h \
-	external/ExRootAnalysis/ExRootTreeWriter.h \
+	external/ExRootAnalysis/ExRootProgressBar.h \
 	external/ExRootAnalysis/ExRootTreeBranch.h \
-	external/ExRootAnalysis/ExRootProgressBar.h
+	external/ExRootAnalysis/ExRootTreeWriter.h
 CaloGrid$(ExeSuf): \
 	tmp/examples/CaloGrid.$(ObjSuf)
@@ -166,7 +166,7 @@
 tmp/examples/CaloGrid.$(ObjSuf): \
 	examples/CaloGrid.cpp \
-	display/Delphes3DGeometry.h \
-	classes/DelphesClasses.h \
-	external/ExRootAnalysis/ExRootConfReader.h
+	external/ExRootAnalysis/ExRootConfReader.h \
+	classes/DelphesClasses.h \
+	display/Delphes3DGeometry.h
 Example1$(ExeSuf): \
 	tmp/examples/Example1.$(ObjSuf)
@@ -175,8 +175,8 @@
 	examples/Example1.cpp \
 	classes/DelphesClasses.h \
+	external/ExRootAnalysis/ExRootResult.h \
+	external/ExRootAnalysis/ExRootTreeBranch.h \
 	external/ExRootAnalysis/ExRootTreeReader.h \
 	external/ExRootAnalysis/ExRootTreeWriter.h \
-	external/ExRootAnalysis/ExRootTreeBranch.h \
-	external/ExRootAnalysis/ExRootResult.h \
 	external/ExRootAnalysis/ExRootUtilities.h
 DelphesValidation$(ExeSuf): \
@@ -186,8 +186,8 @@
 	validation/DelphesValidation.cpp \
 	classes/DelphesClasses.h \
+	external/ExRootAnalysis/ExRootResult.h \
+	external/ExRootAnalysis/ExRootTreeBranch.h \
 	external/ExRootAnalysis/ExRootTreeReader.h \
 	external/ExRootAnalysis/ExRootTreeWriter.h \
-	external/ExRootAnalysis/ExRootTreeBranch.h \
-	external/ExRootAnalysis/ExRootResult.h \
 	external/ExRootAnalysis/ExRootUtilities.h
 EXECUTABLE +=  \
@@ -218,11 +218,11 @@
 tmp/readers/DelphesHepMC.$(ObjSuf): \
 	readers/DelphesHepMC.cpp \
+	classes/DelphesClasses.h \
+	classes/DelphesFactory.h \
+	classes/DelphesHepMCReader.h \
 	modules/Delphes.h \
-	classes/DelphesClasses.h \
-	classes/DelphesFactory.h \
-	classes/DelphesHepMCReader.h \
-	external/ExRootAnalysis/ExRootTreeWriter.h \
+	external/ExRootAnalysis/ExRootProgressBar.h \
 	external/ExRootAnalysis/ExRootTreeBranch.h \
-	external/ExRootAnalysis/ExRootProgressBar.h
+	external/ExRootAnalysis/ExRootTreeWriter.h
 DelphesLHEF$(ExeSuf): \
 	tmp/readers/DelphesLHEF.$(ObjSuf)
@@ -230,11 +230,11 @@
 tmp/readers/DelphesLHEF.$(ObjSuf): \
 	readers/DelphesLHEF.cpp \
+	classes/DelphesClasses.h \
+	classes/DelphesFactory.h \
+	classes/DelphesLHEFReader.h \
 	modules/Delphes.h \
-	classes/DelphesClasses.h \
-	classes/DelphesFactory.h \
-	classes/DelphesLHEFReader.h \
-	external/ExRootAnalysis/ExRootTreeWriter.h \
+	external/ExRootAnalysis/ExRootProgressBar.h \
 	external/ExRootAnalysis/ExRootTreeBranch.h \
-	external/ExRootAnalysis/ExRootProgressBar.h
+	external/ExRootAnalysis/ExRootTreeWriter.h
 DelphesROOT$(ExeSuf): \
 	tmp/readers/DelphesROOT.$(ObjSuf)
@@ -242,12 +242,12 @@
 tmp/readers/DelphesROOT.$(ObjSuf): \
 	readers/DelphesROOT.cpp \
+	classes/DelphesClasses.h \
+	classes/DelphesFactory.h \
+	classes/DelphesStream.h \
 	modules/Delphes.h \
-	classes/DelphesStream.h \
-	classes/DelphesClasses.h \
-	classes/DelphesFactory.h \
-	external/ExRootAnalysis/ExRootTreeWriter.h \
+	external/ExRootAnalysis/ExRootProgressBar.h \
+	external/ExRootAnalysis/ExRootTreeBranch.h \
 	external/ExRootAnalysis/ExRootTreeReader.h \
-	external/ExRootAnalysis/ExRootTreeBranch.h \
-	external/ExRootAnalysis/ExRootProgressBar.h
+	external/ExRootAnalysis/ExRootTreeWriter.h
 DelphesSTDHEP$(ExeSuf): \
 	tmp/readers/DelphesSTDHEP.$(ObjSuf)
@@ -255,11 +255,11 @@
 tmp/readers/DelphesSTDHEP.$(ObjSuf): \
 	readers/DelphesSTDHEP.cpp \
+	classes/DelphesClasses.h \
+	classes/DelphesFactory.h \
+	classes/DelphesSTDHEPReader.h \
 	modules/Delphes.h \
-	classes/DelphesClasses.h \
-	classes/DelphesFactory.h \
-	classes/DelphesSTDHEPReader.h \
-	external/ExRootAnalysis/ExRootTreeWriter.h \
+	external/ExRootAnalysis/ExRootProgressBar.h \
 	external/ExRootAnalysis/ExRootTreeBranch.h \
-	external/ExRootAnalysis/ExRootProgressBar.h
+	external/ExRootAnalysis/ExRootTreeWriter.h
 EXECUTABLE +=  \
 	DelphesHepMC$(ExeSuf) \
@@ -280,11 +280,11 @@
 tmp/readers/DelphesCMSFWLite.$(ObjSuf): \
 	readers/DelphesCMSFWLite.cpp \
+	classes/DelphesClasses.h \
+	classes/DelphesFactory.h \
+	classes/DelphesStream.h \
 	modules/Delphes.h \
-	classes/DelphesStream.h \
-	classes/DelphesClasses.h \
-	classes/DelphesFactory.h \
-	external/ExRootAnalysis/ExRootTreeWriter.h \
+	external/ExRootAnalysis/ExRootProgressBar.h \
 	external/ExRootAnalysis/ExRootTreeBranch.h \
-	external/ExRootAnalysis/ExRootProgressBar.h
+	external/ExRootAnalysis/ExRootTreeWriter.h
 EXECUTABLE +=  \
 	DelphesCMSFWLite$(ExeSuf)
@@ -301,11 +301,11 @@
 tmp/readers/DelphesProMC.$(ObjSuf): \
 	readers/DelphesProMC.cpp \
+	classes/DelphesClasses.h \
+	classes/DelphesFactory.h \
+	classes/DelphesStream.h \
 	modules/Delphes.h \
-	classes/DelphesStream.h \
-	classes/DelphesClasses.h \
-	classes/DelphesFactory.h \
-	external/ExRootAnalysis/ExRootTreeWriter.h \
+	external/ExRootAnalysis/ExRootProgressBar.h \
 	external/ExRootAnalysis/ExRootTreeBranch.h \
-	external/ExRootAnalysis/ExRootProgressBar.h
+	external/ExRootAnalysis/ExRootTreeWriter.h
 EXECUTABLE +=  \
 	DelphesProMC$(ExeSuf)
@@ -322,11 +322,11 @@
 tmp/readers/DelphesProIO.$(ObjSuf): \
 	readers/DelphesProIO.cpp \
+	classes/DelphesClasses.h \
+	classes/DelphesFactory.h \
+	classes/DelphesStream.h \
 	modules/Delphes.h \
-	classes/DelphesStream.h \
-	classes/DelphesClasses.h \
-	classes/DelphesFactory.h \
-	external/ExRootAnalysis/ExRootTreeWriter.h \
+	external/ExRootAnalysis/ExRootProgressBar.h \
 	external/ExRootAnalysis/ExRootTreeBranch.h \
-	external/ExRootAnalysis/ExRootProgressBar.h
+	external/ExRootAnalysis/ExRootTreeWriter.h
 EXECUTABLE +=  \
 	DelphesProIO$(ExeSuf)
@@ -343,11 +343,11 @@
 tmp/readers/DelphesPythia8.$(ObjSuf): \
 	readers/DelphesPythia8.cpp \
+	classes/DelphesClasses.h \
+	classes/DelphesFactory.h \
+	classes/DelphesLHEFReader.h \
 	modules/Delphes.h \
-	classes/DelphesClasses.h \
-	classes/DelphesFactory.h \
-	classes/DelphesLHEFReader.h \
-	external/ExRootAnalysis/ExRootTreeWriter.h \
+	external/ExRootAnalysis/ExRootProgressBar.h \
 	external/ExRootAnalysis/ExRootTreeBranch.h \
-	external/ExRootAnalysis/ExRootProgressBar.h
+	external/ExRootAnalysis/ExRootTreeWriter.h
 EXECUTABLE +=  \
 	DelphesPythia8$(ExeSuf)
@@ -530,8 +530,8 @@
 	classes/DelphesModule.h \
 	classes/DelphesFactory.h \
+	external/ExRootAnalysis/ExRootResult.h \
+	external/ExRootAnalysis/ExRootTreeBranch.h \
 	external/ExRootAnalysis/ExRootTreeReader.h \
-	external/ExRootAnalysis/ExRootTreeBranch.h \
-	external/ExRootAnalysis/ExRootTreeWriter.h \
-	external/ExRootAnalysis/ExRootResult.h
+	external/ExRootAnalysis/ExRootTreeWriter.h
 tmp/classes/DelphesPileUpReader.$(ObjSuf): \
 	classes/DelphesPileUpReader.$(SrcSuf) \
@@ -653,7 +653,7 @@
 	classes/DelphesFactory.h \
 	classes/DelphesFormula.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
+	external/ExRootAnalysis/ExRootClassifier.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootResult.h
 tmp/modules/BTagging.$(ObjSuf): \
 	modules/BTagging.$(SrcSuf) \
@@ -668,7 +668,7 @@
 	classes/DelphesFactory.h \
 	classes/DelphesFormula.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
+	external/ExRootAnalysis/ExRootClassifier.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootResult.h
 tmp/modules/Calorimeter.$(ObjSuf): \
 	modules/Calorimeter.$(SrcSuf) \
@@ -677,7 +677,7 @@
 	classes/DelphesFactory.h \
 	classes/DelphesFormula.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
+	external/ExRootAnalysis/ExRootClassifier.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootResult.h
 tmp/modules/Cloner.$(ObjSuf): \
 	modules/Cloner.$(SrcSuf) \
@@ -686,7 +686,7 @@
 	classes/DelphesFactory.h \
 	classes/DelphesFormula.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
+	external/ExRootAnalysis/ExRootClassifier.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootResult.h
 tmp/modules/ConstituentFilter.$(ObjSuf): \
 	modules/ConstituentFilter.$(SrcSuf) \
@@ -695,7 +695,7 @@
 	classes/DelphesFactory.h \
 	classes/DelphesFormula.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
+	external/ExRootAnalysis/ExRootClassifier.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootResult.h
 tmp/modules/Delphes.$(ObjSuf): \
 	modules/Delphes.$(SrcSuf) \
@@ -704,8 +704,8 @@
 	classes/DelphesFactory.h \
 	classes/DelphesFormula.h \
+	external/ExRootAnalysis/ExRootClassifier.h \
+	external/ExRootAnalysis/ExRootConfReader.h \
+	external/ExRootAnalysis/ExRootFilter.h \
 	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h \
-	external/ExRootAnalysis/ExRootConfReader.h \
 	external/ExRootAnalysis/ExRootTreeWriter.h
 tmp/modules/DenseTrackFilter.$(ObjSuf): \
@@ -715,7 +715,7 @@
 	classes/DelphesFactory.h \
 	classes/DelphesFormula.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
+	external/ExRootAnalysis/ExRootClassifier.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootResult.h
 tmp/modules/Efficiency.$(ObjSuf): \
 	modules/Efficiency.$(SrcSuf) \
@@ -724,7 +724,7 @@
 	classes/DelphesFactory.h \
 	classes/DelphesFormula.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
+	external/ExRootAnalysis/ExRootClassifier.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootResult.h
 tmp/modules/EnergyScale.$(ObjSuf): \
 	modules/EnergyScale.$(SrcSuf) \
@@ -733,7 +733,7 @@
 	classes/DelphesFactory.h \
 	classes/DelphesFormula.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
+	external/ExRootAnalysis/ExRootClassifier.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootResult.h
 tmp/modules/EnergySmearing.$(ObjSuf): \
 	modules/EnergySmearing.$(SrcSuf) \
@@ -742,7 +742,7 @@
 	classes/DelphesFactory.h \
 	classes/DelphesFormula.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
+	external/ExRootAnalysis/ExRootClassifier.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootResult.h
 tmp/modules/ExampleModule.$(ObjSuf): \
 	modules/ExampleModule.$(SrcSuf) \
@@ -751,7 +751,7 @@
 	classes/DelphesFactory.h \
 	classes/DelphesFormula.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
+	external/ExRootAnalysis/ExRootClassifier.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootResult.h
 tmp/modules/Hector.$(ObjSuf): \
 	modules/Hector.$(SrcSuf) \
@@ -760,10 +760,10 @@
 	classes/DelphesFactory.h \
 	classes/DelphesFormula.h \
+	external/ExRootAnalysis/ExRootClassifier.h \
+	external/ExRootAnalysis/ExRootFilter.h \
 	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h \
 	external/Hector/H_BeamLine.h \
-	external/Hector/H_RecRPObject.h \
-	external/Hector/H_BeamParticle.h
+	external/Hector/H_BeamParticle.h \
+	external/Hector/H_RecRPObject.h
 tmp/modules/IdentificationMap.$(ObjSuf): \
 	modules/IdentificationMap.$(SrcSuf) \
@@ -772,7 +772,7 @@
 	classes/DelphesFactory.h \
 	classes/DelphesFormula.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
+	external/ExRootAnalysis/ExRootClassifier.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootResult.h
 tmp/modules/ImpactParameterSmearing.$(ObjSuf): \
 	modules/ImpactParameterSmearing.$(SrcSuf) \
@@ -781,7 +781,7 @@
 	classes/DelphesFactory.h \
 	classes/DelphesFormula.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
+	external/ExRootAnalysis/ExRootClassifier.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootResult.h
 tmp/modules/Isolation.$(ObjSuf): \
 	modules/Isolation.$(SrcSuf) \
@@ -790,7 +790,7 @@
 	classes/DelphesFactory.h \
 	classes/DelphesFormula.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
+	external/ExRootAnalysis/ExRootClassifier.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootResult.h
 tmp/modules/JetFakeParticle.$(ObjSuf): \
 	modules/JetFakeParticle.$(SrcSuf) \
@@ -799,7 +799,7 @@
 	classes/DelphesFactory.h \
 	classes/DelphesFormula.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
+	external/ExRootAnalysis/ExRootClassifier.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootResult.h
 tmp/modules/JetFlavorAssociation.$(ObjSuf): \
 	modules/JetFlavorAssociation.$(SrcSuf) \
@@ -808,7 +808,7 @@
 	classes/DelphesFactory.h \
 	classes/DelphesFormula.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
+	external/ExRootAnalysis/ExRootClassifier.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootResult.h
 tmp/modules/JetPileUpSubtractor.$(ObjSuf): \
 	modules/JetPileUpSubtractor.$(SrcSuf) \
@@ -817,7 +817,7 @@
 	classes/DelphesFactory.h \
 	classes/DelphesFormula.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
+	external/ExRootAnalysis/ExRootClassifier.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootResult.h
 tmp/modules/LeptonDressing.$(ObjSuf): \
 	modules/LeptonDressing.$(SrcSuf) \
@@ -826,7 +826,7 @@
 	classes/DelphesFactory.h \
 	classes/DelphesFormula.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
+	external/ExRootAnalysis/ExRootClassifier.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootResult.h
 tmp/modules/Merger.$(ObjSuf): \
 	modules/Merger.$(SrcSuf) \
@@ -835,7 +835,7 @@
 	classes/DelphesFactory.h \
 	classes/DelphesFormula.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
+	external/ExRootAnalysis/ExRootClassifier.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootResult.h
 tmp/modules/MomentumSmearing.$(ObjSuf): \
 	modules/MomentumSmearing.$(SrcSuf) \
@@ -844,7 +844,7 @@
 	classes/DelphesFactory.h \
 	classes/DelphesFormula.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
+	external/ExRootAnalysis/ExRootClassifier.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootResult.h
 tmp/modules/OldCalorimeter.$(ObjSuf): \
 	modules/OldCalorimeter.$(SrcSuf) \
@@ -853,7 +853,7 @@
 	classes/DelphesFactory.h \
 	classes/DelphesFormula.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
+	external/ExRootAnalysis/ExRootClassifier.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootResult.h
 tmp/modules/ParticlePropagator.$(ObjSuf): \
 	modules/ParticlePropagator.$(SrcSuf) \
@@ -862,7 +862,7 @@
 	classes/DelphesFactory.h \
 	classes/DelphesFormula.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
+	external/ExRootAnalysis/ExRootClassifier.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootResult.h
 tmp/modules/PdgCodeFilter.$(ObjSuf): \
 	modules/PdgCodeFilter.$(SrcSuf) \
@@ -871,16 +871,16 @@
 	classes/DelphesFactory.h \
 	classes/DelphesFormula.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
+	external/ExRootAnalysis/ExRootClassifier.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootResult.h
 tmp/modules/PhotonConversions.$(ObjSuf): \
 	modules/PhotonConversions.$(SrcSuf) \
 	modules/PhotonConversions.h \
 	classes/DelphesClasses.h \
-	classes/DelphesFactory.h \
 	classes/DelphesCylindricalFormula.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
+	classes/DelphesFactory.h \
+	external/ExRootAnalysis/ExRootClassifier.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootResult.h
 tmp/modules/PhotonID.$(ObjSuf): \
 	modules/PhotonID.$(SrcSuf) \
@@ -889,7 +889,7 @@
 	classes/DelphesFactory.h \
 	classes/DelphesFormula.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
+	external/ExRootAnalysis/ExRootClassifier.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootResult.h
 tmp/modules/PileUpJetID.$(ObjSuf): \
 	modules/PileUpJetID.$(SrcSuf) \
@@ -898,7 +898,7 @@
 	classes/DelphesFactory.h \
 	classes/DelphesFormula.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
+	external/ExRootAnalysis/ExRootClassifier.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootResult.h
 tmp/modules/PileUpMerger.$(ObjSuf): \
 	modules/PileUpMerger.$(SrcSuf) \
@@ -906,9 +906,9 @@
 	classes/DelphesClasses.h \
 	classes/DelphesFactory.h \
+	classes/DelphesPileUpReader.h \
 	classes/DelphesTF2.h \
-	classes/DelphesPileUpReader.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
+	external/ExRootAnalysis/ExRootClassifier.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootResult.h
 tmp/modules/PileUpMergerPythia8.$(ObjSuf): \
 	modules/PileUpMergerPythia8.$(SrcSuf) \
@@ -916,9 +916,9 @@
 	classes/DelphesClasses.h \
 	classes/DelphesFactory.h \
+	classes/DelphesPileUpReader.h \
 	classes/DelphesTF2.h \
-	classes/DelphesPileUpReader.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
+	external/ExRootAnalysis/ExRootClassifier.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootResult.h
 tmp/modules/RecoPuFilter.$(ObjSuf): \
 	modules/RecoPuFilter.$(SrcSuf) \
@@ -927,7 +927,7 @@
 	classes/DelphesFactory.h \
 	classes/DelphesFormula.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
+	external/ExRootAnalysis/ExRootClassifier.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootResult.h
 tmp/modules/SimpleCalorimeter.$(ObjSuf): \
 	modules/SimpleCalorimeter.$(SrcSuf) \
@@ -936,7 +936,7 @@
 	classes/DelphesFactory.h \
 	classes/DelphesFormula.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
+	external/ExRootAnalysis/ExRootClassifier.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootResult.h
 tmp/modules/StatusPidFilter.$(ObjSuf): \
 	modules/StatusPidFilter.$(SrcSuf) \
@@ -945,7 +945,7 @@
 	classes/DelphesFactory.h \
 	classes/DelphesFormula.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
+	external/ExRootAnalysis/ExRootClassifier.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootResult.h
 tmp/modules/TaggingParticlesSkimmer.$(ObjSuf): \
 	modules/TaggingParticlesSkimmer.$(SrcSuf) \
@@ -955,7 +955,7 @@
 	classes/DelphesFactory.h \
 	classes/DelphesFormula.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
+	external/ExRootAnalysis/ExRootClassifier.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootResult.h
 tmp/modules/TauTagging.$(ObjSuf): \
 	modules/TauTagging.$(SrcSuf) \
@@ -970,7 +970,7 @@
 	classes/DelphesFactory.h \
 	classes/DelphesFormula.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
+	external/ExRootAnalysis/ExRootClassifier.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootResult.h
 tmp/modules/TrackCountingBTagging.$(ObjSuf): \
 	modules/TrackCountingBTagging.$(SrcSuf) \
@@ -985,7 +985,7 @@
 	classes/DelphesFactory.h \
 	classes/DelphesFormula.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
+	external/ExRootAnalysis/ExRootClassifier.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootResult.h
 tmp/modules/TrackEfficiency.$(ObjSuf): \
 	modules/TrackEfficiency.$(SrcSuf) \
@@ -994,7 +994,7 @@
 	classes/DelphesFactory.h \
 	classes/DelphesLongFormula.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
+	external/ExRootAnalysis/ExRootClassifier.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootResult.h
 tmp/modules/TrackPileUpSubtractor.$(ObjSuf): \
 	modules/TrackPileUpSubtractor.$(SrcSuf) \
@@ -1003,7 +1003,7 @@
 	classes/DelphesFactory.h \
 	classes/DelphesFormula.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
+	external/ExRootAnalysis/ExRootClassifier.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootResult.h
 tmp/modules/TrackSmearing.$(ObjSuf): \
 	modules/TrackSmearing.$(SrcSuf) \
@@ -1012,7 +1012,7 @@
 	classes/DelphesFactory.h \
 	classes/DelphesFormula.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
+	external/ExRootAnalysis/ExRootClassifier.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootResult.h
 tmp/modules/TreeWriter.$(ObjSuf): \
 	modules/TreeWriter.$(SrcSuf) \
@@ -1021,7 +1021,7 @@
 	classes/DelphesFactory.h \
 	classes/DelphesFormula.h \
+	external/ExRootAnalysis/ExRootClassifier.h \
+	external/ExRootAnalysis/ExRootFilter.h \
 	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h \
 	external/ExRootAnalysis/ExRootTreeBranch.h
 tmp/modules/UniqueObjectFinder.$(ObjSuf): \
@@ -1031,7 +1031,7 @@
 	classes/DelphesFactory.h \
 	classes/DelphesFormula.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
+	external/ExRootAnalysis/ExRootClassifier.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootResult.h
 tmp/modules/VertexFinder.$(ObjSuf): \
 	modules/VertexFinder.$(SrcSuf) \
@@ -1041,7 +1041,7 @@
 	classes/DelphesFormula.h \
 	classes/DelphesPileUpReader.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
+	external/ExRootAnalysis/ExRootClassifier.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootResult.h
 tmp/modules/VertexFinderDA4D.$(ObjSuf): \
 	modules/VertexFinderDA4D.$(SrcSuf) \
@@ -1051,7 +1051,7 @@
 	classes/DelphesFormula.h \
 	classes/DelphesPileUpReader.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
+	external/ExRootAnalysis/ExRootClassifier.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootResult.h
 tmp/modules/VertexSorter.$(ObjSuf): \
 	modules/VertexSorter.$(SrcSuf) \
@@ -1061,7 +1061,7 @@
 	classes/DelphesFormula.h \
 	classes/DelphesPileUpReader.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
+	external/ExRootAnalysis/ExRootClassifier.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootResult.h
 tmp/modules/Weighter.$(ObjSuf): \
 	modules/Weighter.$(SrcSuf) \
@@ -1070,7 +1070,7 @@
 	classes/DelphesFactory.h \
 	classes/DelphesFormula.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
+	external/ExRootAnalysis/ExRootClassifier.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootResult.h
 DELPHES_OBJ +=  \
 	tmp/classes/DelphesClasses.$(ObjSuf) \
@@ -1505,24 +1505,24 @@
 	classes/DelphesFactory.h \
 	classes/DelphesFormula.h \
+	external/ExRootAnalysis/ExRootClassifier.h \
+	external/ExRootAnalysis/ExRootFilter.h \
 	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h \
+	external/fastjet/ClusterSequence.hh \
+	external/fastjet/ClusterSequenceArea.hh \
+	external/fastjet/JetDefinition.hh \
 	external/fastjet/PseudoJet.hh \
-	external/fastjet/JetDefinition.hh \
-	external/fastjet/ClusterSequence.hh \
 	external/fastjet/Selector.hh \
-	external/fastjet/ClusterSequenceArea.hh \
 	external/fastjet/tools/JetMedianBackgroundEstimator.hh \
+	external/fastjet/plugins/CDFCones/fastjet/CDFJetCluPlugin.hh \
+	external/fastjet/plugins/CDFCones/fastjet/CDFMidPointPlugin.hh \
 	external/fastjet/plugins/SISCone/fastjet/SISConePlugin.hh \
-	external/fastjet/plugins/CDFCones/fastjet/CDFMidPointPlugin.hh \
-	external/fastjet/plugins/CDFCones/fastjet/CDFJetCluPlugin.hh \
-	external/fastjet/contribs/Nsubjettiness/Nsubjettiness.hh \
+	external/fastjet/contribs/Nsubjettiness/ExtraRecombiners.hh \
 	external/fastjet/contribs/Nsubjettiness/Njettiness.hh \
 	external/fastjet/contribs/Nsubjettiness/NjettinessPlugin.hh \
-	external/fastjet/contribs/Nsubjettiness/ExtraRecombiners.hh \
+	external/fastjet/contribs/Nsubjettiness/Nsubjettiness.hh \
 	external/fastjet/contribs/ValenciaPlugin/ValenciaPlugin.hh \
+	external/fastjet/contribs/RecursiveTools/SoftDrop.hh \
 	external/fastjet/tools/Filter.hh \
-	external/fastjet/tools/Pruner.hh \
-	external/fastjet/contribs/RecursiveTools/SoftDrop.hh
+	external/fastjet/tools/Pruner.hh
 tmp/modules/FastJetGridMedianEstimator.$(ObjSuf): \
 	modules/FastJetGridMedianEstimator.$(SrcSuf) \
@@ -1531,28 +1531,28 @@
 	classes/DelphesFactory.h \
 	classes/DelphesFormula.h \
+	external/ExRootAnalysis/ExRootClassifier.h \
+	external/ExRootAnalysis/ExRootFilter.h \
 	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h \
+	external/fastjet/ClusterSequence.hh \
+	external/fastjet/ClusterSequenceArea.hh \
+	external/fastjet/JetDefinition.hh \
 	external/fastjet/PseudoJet.hh \
-	external/fastjet/JetDefinition.hh \
-	external/fastjet/ClusterSequence.hh \
+	external/fastjet/RectangularGrid.hh \
 	external/fastjet/Selector.hh \
-	external/fastjet/RectangularGrid.hh \
-	external/fastjet/ClusterSequenceArea.hh \
 	external/fastjet/tools/JetMedianBackgroundEstimator.hh \
 	external/fastjet/tools/GridMedianBackgroundEstimator.hh \
+	external/fastjet/plugins/CDFCones/fastjet/CDFJetCluPlugin.hh \
+	external/fastjet/plugins/CDFCones/fastjet/CDFMidPointPlugin.hh \
 	external/fastjet/plugins/SISCone/fastjet/SISConePlugin.hh \
-	external/fastjet/plugins/CDFCones/fastjet/CDFMidPointPlugin.hh \
-	external/fastjet/plugins/CDFCones/fastjet/CDFJetCluPlugin.hh \
-	external/fastjet/contribs/Nsubjettiness/Nsubjettiness.hh \
+	external/fastjet/contribs/Nsubjettiness/ExtraRecombiners.hh \
 	external/fastjet/contribs/Nsubjettiness/Njettiness.hh \
 	external/fastjet/contribs/Nsubjettiness/NjettinessPlugin.hh \
-	external/fastjet/contribs/Nsubjettiness/ExtraRecombiners.hh
+	external/fastjet/contribs/Nsubjettiness/Nsubjettiness.hh
 tmp/modules/RunPUPPI.$(ObjSuf): \
 	modules/RunPUPPI.$(SrcSuf) \
 	modules/RunPUPPI.h \
-	external/PUPPI/RecoObj2.hh \
 	external/PUPPI/AlgoObj.hh \
 	external/PUPPI/PuppiContainer.hh \
+	external/PUPPI/RecoObj2.hh \
 	external/fastjet/PseudoJet.hh \
 	classes/DelphesClasses.h \
@@ -1686,10 +1686,9 @@
 tmp/display/DelphesEventDisplay.$(ObjSuf): \
 	display/DelphesEventDisplay.$(SrcSuf) \
+	display/Delphes3DGeometry.h \
+	display/DelphesBranchElement.h \
 	display/DelphesCaloData.h \
-	display/DelphesBranchElement.h \
-	display/Delphes3DGeometry.h \
+	display/DelphesDisplay.h \
 	display/DelphesEventDisplay.h \
-	display/DelphesDisplay.h \
-	display/Delphes3DGeometry.h \
 	display/DelphesHtmlSummary.h \
 	display/DelphesPlotSummary.h \
@@ -2063,8 +2062,8 @@
 
 modules/TauTagging.h: \
-	classes/DelphesModule.h \
+	external/ExRootAnalysis/ExRootClassifier.h \
+	external/ExRootAnalysis/ExRootFilter.h \
 	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
+	classes/DelphesModule.h
 	@touch $@
 
@@ -2114,6 +2113,6 @@
 
 modules/JetFlavorAssociation.h: \
-	classes/DelphesModule.h \
-	classes/DelphesClasses.h
+	classes/DelphesClasses.h \
+	classes/DelphesModule.h
 	@touch $@
 
